org.gradle

## Class BuildResult

- java.lang.Object
- - org.gradle.BuildResult

-     public class BuildResult
      extends Object

  A `BuildResult` packages up the results of a build executed by a `GradleLauncher` instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildResult(Gradle gradle, Throwable failure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getFailure()`
    `Gradle` | `getGradle()`
    `BuildResult` | `rethrowFailure()` Rethrows the build failure.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildResult

          public BuildResult(Gradle gradle,
                     Throwable failure)

  - ### Method Detail

    - #### getGradle

          public Gradle getGradle()

    - #### getFailure

          public Throwable getFailure()

    - #### rethrowFailure

          public BuildResult rethrowFailure()

      Rethrows the build failure. Does nothing if there was no build failure.